Bug 1679590 - perl-File-Edit-Portable-1.24-9.fc30 FTBFS: files are not named in the MANIFEST file: /builddir/build/BUILD/File-Edit-Portable-1.24/debugfiles.list
Summary: perl-File-Edit-Portable-1.24-9.fc30 FTBFS: files are not named in the MANIFES...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-File-Edit-Portable
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denis Fateyev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-21 13:37 UTC by Petr Pisar
Modified: 2019-04-09 02:18 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-05 00:01:27 UTC


Attachments (Terms of Use)

Description Petr Pisar 2019-02-21 13:37:10 UTC
perl-File-Edit-Portable-1.24-9.fc30 fails to build in F30 because a test fails:

t/18-bugs.t ............... ok
BUILDSTDERR: #   Failed test at /usr/share/perl5/vendor_perl/Test/CheckManifest.pm line 177.
BUILDSTDERR: #          got: 0
BUILDSTDERR: #     expected: 1
BUILDSTDERR: # The following files are not named in the MANIFEST file: /builddir/build/BUILD/File-Edit-Portable-1.24/debugfiles.list, /builddir/build/BUILD/File-Edit-Portable-1.24/debuglinks.list, /builddir/build/BUILD/File-Edit-Portable-1.24/debugsourcefiles.list, /builddir/build/BUILD/File-Edit-Portable-1.24/debugsources.list, /builddir/build/BUILD/File-Edit-Portable-1.24/elfbins.list
BUILDSTDERR: # MANIFEST: /builddir/build/BUILD/File-Edit-Portable-1.24/MANIFEST
BUILDSTDERR: # Looks like you failed 1 test of 1.
t/manifest.t .............. 
Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 

This is triggered by upgrading perl-Test-CheckManifest from 1.33-5.fc30 to
1.39-1.fc30.

That's because debuginfo generator keeps temporary files like ./debugsources.list and the newer Test::CheckManifest is stricter and reports them as unexpected.

I recommend not running the release tests. They are fragile and have many assumptions about a build host.

Comment 1 Paul Howarth 2019-02-23 14:54:48 UTC
Alternatively, you could add this near the top of the spec:

# noarch, but to avoid *.list files interfering tests
%global debug_package %{nil}

That would stop the various debug list files being generated in the first place.

Comment 2 Fedora Update System 2019-03-31 10:21:13 UTC
perl-File-Edit-Portable-1.24-10.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e570fe8c4e

Comment 3 Fedora Update System 2019-03-31 10:21:20 UTC
perl-File-Edit-Portable-1.24-10.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-368bfecff6

Comment 4 Fedora Update System 2019-03-31 19:26:30 UTC
perl-File-Edit-Portable-1.24-10.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-368bfecff6

Comment 5 Fedora Update System 2019-04-01 02:06:36 UTC
perl-File-Edit-Portable-1.24-10.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e570fe8c4e

Comment 6 Petr Pisar 2019-04-01 09:15:13 UTC
It would be great also stop build-requiring modules for the disabled release tests now.

Comment 7 Fedora Update System 2019-04-05 00:01:27 UTC
perl-File-Edit-Portable-1.24-10.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-04-09 02:18:55 UTC
perl-File-Edit-Portable-1.24-10.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.